--- old/usr/src/Makefile.master	Tue Feb 25 10:52:23 2020
+++ new/usr/src/Makefile.master	Tue Feb 25 10:52:23 2020
@@ -28,7 +28,7 @@
 # Copyright 2015 Igor Kozhukhov <ikozhukhov@gmail.com>
 # Copyright 2016 Toomas Soome <tsoome@me.com>
 # Copyright 2018 OmniOS Community Edition (OmniOSce) Association.
-# Copyright 2019, Joyent, Inc.
+# Copyright 2020 Joyent, Inc.
 # Copyright 2019 RackTop Systems.
 #
 
@@ -813,12 +813,16 @@
 #
 CCNEEDED		= -lC
 CCEXTNEEDED		= -lCrun -lCstd
+NATIVECCNEEDED		= -lC
 $(__GNUC)CCNEEDED	= -L$(GCCLIBDIR) -lstdc++ -lgcc_s
 $(__GNUC)CCEXTNEEDED	= $(CCNEEDED)
+$(__GNUC)NATIVECCNEEDED	= -R$(GCCLIBDIR) -L$(GCCLIBDIR) -lstdc++ -lgcc_s
 
 CCNEEDED64		= -lCrun
 CCEXTNEEDED64		= -lCrun -lCstd
+NATIVECCNEEDED64	= -lCrun
 $(__GNUC64)CCNEEDED64	= -L$(GCCLIBDIR) -lstdc++ -lgcc_s
+$(__GNUC64)NATIVECCNEEDED64 = -R$(GCCLIBDIR) -L$(GCCLIBDIR) -lstdc++ -lgcc_s
 $(__GNUC64)CCEXTNEEDED	= $(CCNEEDED64)
 
 # Libraries we expect to use natively on the build machine
--- old/usr/src/lib/krb5/plugins/kdb/ldap/Makefile.com	Tue Feb 25 10:52:23 2020
+++ new/usr/src/lib/krb5/plugins/kdb/ldap/Makefile.com	Tue Feb 25 10:52:23 2020
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright 2020 Joyent, Inc.
 #
 
 LIBRARY= kldap.a
@@ -46,7 +47,7 @@
 #override liblink
 INS.liblink=	-$(RM) $@; $(SYMLINK) $(LIBLINKS)$(VERS) $@
 
-CPPFLAGS += 	-DHAVE_CONFIG_H \
+CPPFLAGS +=	-DHAVE_CONFIG_H \
 		-I$(SRC)/cmd/krb5/iprop \
 		-I$(SRC)/lib/krb5 \
 		-I$(SRC)/lib/krb5/kdb \
@@ -65,15 +66,12 @@
 
 DYNFLAGS +=	$(KERBRUNPATH)
 # setting -L $(ROOT)/usr/lib/gss because libkdb_ldap needs mech_krb5
-LDLIBS +=	-L $(ROOT)/usr/lib/gss -L $(ROOTLIBDIR) -lkdb_ldap \
-		-lc
+LDLIBS +=	-L $(ROOT)/usr/lib/gss -L $(ROOTLIBDIR) -lkdb_ldap
 
 .KEEP_STATE:
 
 all:	$(LIBS)
 
-lint:	lintcheck
-
 # include library targets
 include $(SRC)/lib/krb5/Makefile.targ
 
--- old/usr/src/lib/libjedec/Makefile.com	Tue Feb 25 10:52:24 2020
+++ new/usr/src/lib/libjedec/Makefile.com	Tue Feb 25 10:52:24 2020
@@ -10,7 +10,7 @@
 #
 
 #
-# Copyright (c) 2018 Joyent, Inc.
+# Copyright 2020 Joyent, Inc.
 #
 
 LIBRARY =	libjedec.a
@@ -28,6 +28,4 @@
 
 all:	$(LIBS)
 
-lint:	lintcheck
-
 include ../../Makefile.targ
--- old/usr/src/tools/make/Makefile.com	Tue Feb 25 10:52:24 2020
+++ new/usr/src/tools/make/Makefile.com	Tue Feb 25 10:52:24 2020
@@ -10,6 +10,7 @@
 #
 
 # Copyright 2015, Richard Lowe.
+# Copyright 2020 Joyent, Inc.
 
 MAKE_INCLUDE= $(SRC)/cmd/make/include
 
@@ -19,3 +20,4 @@
 CFLAGS += $(CCVERBOSE)
 CCFLAGS = $(NATIVE_CCFLAGS) -_gcc4=-std=gnu++0x
 CPPFLAGS = -I$(MAKE_INCLUDE) $(MAKE_DEFS)
+CCNEEDED = $(NATIVECCNEEDED)
